% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Geoms.R
\docType{data}
\encoding{UTF-8}
\name{geom_dumbbell}
\alias{GeomDumbbell}
\alias{geom_dumbbell}
\title{Dumbell charts}
\usage{
geom_dumbbell(mapping = NULL, data = NULL, ..., point.colour.l = NULL,
  point.size.l = NULL, point.colour.r = NULL, point.size.r = NULL,
  na.rm = FALSE, show.legend = NA, inherit.aes = TRUE)
}
\arguments{
\item{mapping}{Set of aesthetic mappings created by \code{\link{aes}} or
\code{\link{aes_}}. If specified and \code{inherit.aes = TRUE} (the
default), it is combined with the default mapping at the top level of the
plot. You must supply \code{mapping} if there is no plot mapping.}

\item{data}{The data to be displayed in this layer. There are three
   options:

   If \code{NULL}, the default, the data is inherited from the plot
   data as specified in the call to \code{\link{ggplot}}.

   A \code{data.frame}, or other object, will override the plot
   data. All objects will be fortified to produce a data frame. See
   \code{\link{fortify}} for which variables will be created.

   A \code{function} will be called with a single argument,
   the plot data. The return value must be a \code{data.frame.}, and
   will be used as the layer data.}

\item{...}{other arguments passed on to \code{\link{layer}}. These are
often aesthetics, used to set an aesthetic to a fixed value, like
\code{color = "red"} or \code{size = 3}. They may also be parameters
to the paired geom/stat.}

\item{point.colour.l}{the colour of the left point}

\item{point.size.l}{the size of the left point}

\item{point.colour.r}{the colour of the right point}

\item{point.size.r}{the size of the right point}

\item{na.rm}{If \code{FALSE} (the default), removes missing values with
a warning.  If \code{TRUE} silently removes missing values.}

\item{show.legend}{logical. Should this layer be included in the legends?
\code{NA}, the default, includes if any aesthetics are mapped.
\code{FALSE} never includes, and \code{TRUE} always includes.}

\item{inherit.aes}{If \code{FALSE}, overrides the default aesthetics,
rather than combining with them. This is most useful for helper functions
that define both data and aesthetics and shouldn't inherit behaviour from
the default plot specification, e.g. \code{\link{borders}}.}
}
\description{
The dumbbell geom is used to create dumbbell charts.
Dumbbell dot plots--dot plots with two or more series of data--are an
alternative to the clustered bar chart or slope graph.
}
\section{Aesthetics}{

\Sexpr[results=rd,stage=build]{ggplot2:::rd_aesthetics("geom", "segment")}
}
\examples{
df <- data.frame(trt=LETTERS[1:5],
                 l=c(20, 40, 10, 30, 50),
                 r=c(70, 50, 30, 60, 80))

ggplot(df, aes(y=trt, x=l, xend=r)) + geom_dumbbell()

ggplot(df, aes(y=trt, x=l, xend=r)) +
geom_dumbbell(color="#a3c4dc", size=0.75, point.colour.l="#0e668b")

}
\keyword{datasets}
\keyword{ggplot2}

