% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DATA.R
\docType{data}
\encoding{UTF-8}
\name{stature}
\alias{stature}
\title{The Measure of US Presidents}
\format{A \code{data.frame} object with \Sexpr[stage=build,results=rd]{ncol(SciencesPo::stature)} variables and \Sexpr[stage=build,results=rd]{nrow(SciencesPo::stature)} observations.}
\source{
US Presidents: \url{http://www.lingerandlook.com/Names/Presidents.php}
Inside Gov. \url{http://www.us-presidents.insidegov.com}.
}
\usage{
data(stature)
# t.test(stature$winner.height, stature$opponent.height, var.equal=TRUE)
}
\description{
The US presidents and their main opponents' heights (cm). This dataset contains the following columns:

\itemize{
\item election The election year.
\item winner The winner candidate.
\item winner.height The winner candidate's height in centimeters (cm).
\item winner.vote The popular vote support for the winner.
\item winner.party The winner's party.
\item opponent The main opponent candidate.
\item opponent.height The opponent candidate's height in centimeters (cm).
\item opponent.vote Popular vote support for the main opponent candidate.
\item opponent.party The opponent's party.
\item turnout The electorate turnout in percentages.
\item winner.bmi The winner Body Mass Index (BMI) estimate \code{(BMI = weight in kg/(height in meter)**2)}
 }
 @references
Murray, G. R. (2014) Evolutionary preferences for physical formidability in leaders. \emph{Politics and the Life Science}, 33(1), 33-53.
}
\keyword{datasets}

